package com.tsiwebserver.service;

import java.util.List;

import org.json.simple.JSONArray;
import com.tsiwebserver.VO.AlarmConfigVO;
import com.tsiwebserver.VO.AlarmVO;
import com.tsiwebserver.VO.ApiInvokeVO;
import com.tsiwebserver.VO.CommunicationVO;
import com.tsiwebserver.VO.CpuUseVO;
import com.tsiwebserver.VO.KafkaStatusVO;
import com.tsiwebserver.VO.ServerStatusVO;

public interface DashBoardService{
    List<KafkaStatusVO> getKafkaStatus();
    List<CommunicationVO> getCommuticationVO();
    KafkaStatusVO getOneKafkaStatus();
    List<CpuUseVO> getUseCpuVo();
    CommunicationVO getOneCommunicationStatus();
    List<ApiInvokeVO>getApiInvokeVO();
    List<AlarmVO> getAlarmVO();
    int alarmChecker(JSONArray array);
    List<AlarmVO> getSearchService(String inputVal);
    List<ServerStatusVO> getServerStat();
    List<AlarmConfigVO> getAllAlarmCode();
    List<ServerStatusVO> getOneCpuUse();
    List<ServerStatusVO> getOneMemUse();
    List<ServerStatusVO> getOneDiskUse();
    List<ServerStatusVO> getOneResourceUse();
    List<AlarmConfigVO> getAlarmWarning();
}
